@font-face {
  font-family: "Roboto Mono";
  src: url("../fonts/roboto-mono.ttf") format("truetype");
}

html,
body {
	background: #000;
	color: #fff;
	font-family: "Roboto Mono", monospace;
	font-size: 16px;
	margin: 0;
}

main {
    max-width: max-content;
    margin: 0 auto;
    padding: 2rem;
}

#typewriter {
	max-width: max-content;
	overflow: hidden;
	white-space: nowrap;
	display: inline-block;
	vertical-align: top;
}

#cow {
	white-space: nowrap;
	overflow: hidden;
	width: 35ch;
	display: none;
}

a:link,
a:visited {
	color: #fff;
}

::selection {
	background: #fff;
	color: #000;
}

#typewriter::after {
    content: "█";
    animation: cursor 1.2s linear infinite;
}

@keyframes cursor {
	0%, 49% {
		visibility: hidden;
	}

	50% {
		visibility: visible;
	}
}

@keyframes typing {
	0% {
		width: 0;
	}

	20%, 80% {
		width: 100%;
	}

	100% {
		width: 0;
	}
}

